%option noyywrap
%option yylineno

%{
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "y.tab.h"

%}

SPACE   ("\n"|"\r"|"\t"|" ")+
DIGIT   [0-9]

%%

<INITIAL>{SPACE}+  ;
<INITIAL>"-1"   {
	return EOL;}
<INITIAL>"-"{DIGIT}+   {
	yylval.ival = atoi(yytext);
	return INT_VAL;}
<INITIAL>{DIGIT}+   {
	yylval.ival = atoi(yytext);
	return INT_VAL;}
<INITIAL>"-"{DIGIT}+(\.{DIGIT}*)?([eE][\+\-]?{DIGIT}+)? {
	yylval.fval = (float)atof(yytext);
	return FLOAT_VAL;}
<INITIAL>{DIGIT}+(\.{DIGIT}*)?([eE][\+\-]?{DIGIT}+)? {
	yylval.fval = (float)atof(yytext);
	return FLOAT_VAL;}

<INITIAL>.         {fprintf(stderr, "unknown character[%s]\n", yytext);}

%%
